
 LinHES - Bug # 282: No AU grabber and unable to install Shepherd

Status: Closed Priority: Normal
Author: girkers Category:
Created: 03/11/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: I appreciate that the current version is a test so when there was no tv_grab_au I could understand, so I then 

went and tried to install Shepherd to make up the shortfall. The problem is I downloaded the Shepherd 
program and it fails with some dependancy issues that I can't resolve as some require the use of cpan, which 
fails to work as it appears to compile things on the fly. It would appear that there are no packages that are 
installed to allow compilation of programs, which is understandable.

FYI: Shepherd relies on a lot of Perl modules.

History
03/11/2009 11:57 pm - girkers
Forum post: http://knoppmyth.net/phpBB2/viewtopic.php?p=120441 may assist.

03/12/2009 12:19 am - cecil
What all you do need to make this happen?  If you can provide links to tv_grab_au, etc. I can compile it on my end.

03/12/2009 06:59 am - girkers
The dependency details are: http://svn.whuffy.com/index.cgi/wiki/Installation#PerlDependencies

It there is anything else I can help with let me know.

03/13/2009 02:38 am - girkers
From the above website, the current Mandatory modules are:

  * XMLTV::Ask
  * Algorithm::Diff
  * Compress::Zlib
  * Cwd
  * Data::Dumper
  * Date::Manip
  * Getopt::Long
  * List::Compare
  * LWP::UserAgent
  * POSIX Digest::SHA1

Optional Modules are:
  * DateTime::Format::Strptime
  * File::Basename
  * File::Path
  * GD
  * HTML::Entities
  * HTML::TokeParser
  * HTML::TreeBuilder
  * IO::File
  * Storable
  * Time::HiRes
  * XML::DOM
  * XML::DOM::NodeList
  * XML::Simple
  * HTTP::Cookies
  * File::Basename
  * LWP::ConnCache
  * Digest::MD5
  * Archive::Zip
  * IO::String
  * DateTime::Format::Strptime
  * JavaScript

It is also stated that this list may not be current, the page itself was last modified on the 2/2/09.

03/22/2009 04:49 pm - cecil
If I search CPAN, I don't find "XMLTV::Ask" or "Cwd".  The other mandatory deps have been compiled or were already in the repo.

03/22/2009 10:41 pm - girkers
Here is some information on Cwd: http://search.cpan.org/~smueller/PathTools-3.29/Cwd.pm it appears to be part of the PathTools

XMLTV::Ask is a module within XMLTV, http://cpan.uwinnipeg.ca/dist/xmltv

If there is any more information you need please let me know.

04/04/2009 11:55 pm - jams
perl-list-compare
perl-algorithm-diff
perl-digest-sha1
perl-javascript-1.12
perl-pathtools-3.29-1
After installing the above modules, Sheperd was able to install without complaining.  Please give it a try and let us know.
Please note that Sheperd is currently not part of the repository.

04/10/2009 04:55 pm - jams
Girkers:  Any news?

04/11/2009 08:29 pm - girkers
I'm not sure how you want me to test this. Would you like me to install a fresh 6.00.07, update using Pacman and then try Shepherd? Let me know and 
I will give it a go.

04/11/2009 08:36 pm - jams
Installing 6.00.07 is an option.  
Or you could try to install shephard on whatever version your running now. All the packages you requested should be there to install via pacman.

06/02/2009 09:49 am - bigtoedsloth
I can confirm that the command
sudo pacman -S perl-list-compare perl-algorithm-diff perl-digest-sha1 perl-javascript perl-pathtools

installs all the perl packages that shepherd needs for 6.00.08.  This is far, far easier than installing manually via CPAN ...

06/04/2009 03:56 pm - jams
Good to know.
Leaving the ticket open pending whatever cecil wants todo with it.

06/06/2009 01:54 am - cecil
sudo pacman -Sy shepherd-dep will install the needed packages in one go.  James, please add shepherd-dep under Software, then close this ticket.  
Thanks all.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04
